> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Payroll Contributors

> Lists contributors of a token payroll.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-token-payroll-contributors
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-token-payroll-contributors:
    get:
      operationId: getTokenPayrollContributors
      summary: Get Token Payroll Contributors
      description: |-
        Lists contributors of a token payroll.

        Not available to API keys.
      parameters:
        - name: tokenPayrollID
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTokenPayrollContributorsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTokenPayrollContributorsResponse:
      type: object
      properties:
        contributors:
          type: array
          items:
            $ref: '#/components/schemas/PayrollTokenSecondContributor'
      required:
        - contributors
      description: Request regeneration does not infer response shapes.
    PayrollTokenSecondContributor:
      type: object
      properties:
        contributorInTokenPayrollID:
          type: string
          format: uuid
        tokenPayrollID:
          type: string
          format: uuid
        roleInOrgID:
          type: string
          format: uuid
        invoicePaymentID:
          type:
            - string
            - 'null'
          format: uuid
        totalPayrollAmount:
          type: string
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        totalDeductionAmount:
          type: string
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        netPayrollAmount:
          type: string
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        currency:
          type:
            - string
            - 'null'
        tokenTypeID:
          type:
            - string
            - 'null'
          format: uuid
        roleInOrg:
          $ref: '#/components/schemas/PayrollTokenSecondSeatWithLogins'
        tokenPayroll:
          $ref: '#/components/schemas/PayrollTokenFirstWritePayroll'
      required:
        - contributorInTokenPayrollID
        - tokenPayrollID
        - roleInOrgID
        - invoicePaymentID
        - totalPayrollAmount
        - totalDeductionAmount
        - netPayrollAmount
        - currency
        - tokenTypeID
        - roleInOrg
        - tokenPayroll
    PayrollTokenSecondSeatWithLogins:
      type: object
      properties:
        hrAutomationOnly:
          type: boolean
        legacyMigratedAt:
          type:
            - string
            - 'null'
          format: date-time
        legacyModelID:
          type:
            - integer
            - 'null'
        roleInOrgID:
          type: string
        personID:
          type: string
        orgID:
          type: string
        invitedByInvestorID:
          type:
            - string
            - 'null'
        invitedByRecipientID:
          type:
            - string
            - 'null'
        roleInOrgExternalID:
          type: integer
        externalEmployeeID:
          type:
            - string
            - 'null'
        positionID:
          type:
            - string
            - 'null'
        jobTitle:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        countryCode:
          type:
            - string
            - 'null'
          enum:
            - ABW
            - AFG
            - AGO
            - AIA
            - ALA
            - ALB
            - AND
            - ARE
            - ARG
            - ARM
            - ASM
            - ATA
            - ATF
            - ATG
            - AUS
            - AUT
            - AZE
            - BDI
            - BEL
            - BEN
            - BES
            - BFA
            - BGD
            - BGR
            - BHR
            - BHS
            - BIH
            - BLR
            - BLZ
            - BMU
            - BOL
            - BRA
            - BRB
            - BRN
            - BTN
            - BVT
            - BWA
            - CAF
            - CAN
            - CCK
            - CHE
            - CHL
            - CHN
            - CIV
            - CMR
            - COD
            - COG
            - COK
            - COL
            - COM
            - CPV
            - CRI
            - CUB
            - CUW
            - CXR
            - CYM
            - CYP
            - CZE
            - DEU
            - DJI
            - DMA
            - DNK
            - DOM
            - DZA
            - ECU
            - EGY
            - ERI
            - ESH
            - ESP
            - EST
            - ETH
            - FIN
            - FJI
            - FLK
            - FRA
            - FRO
            - FSM
            - GAB
            - GBR
            - GEO
            - GGY
            - GHA
            - GIB
            - GIN
            - GLP
            - GMB
            - GNB
            - GNQ
            - GRC
            - GRD
            - GRL
            - GTM
            - GUF
            - GUM
            - GUY
            - HKG
            - HMD
            - HND
            - HRV
            - HTI
            - HUN
            - IDN
            - IMN
            - IND
            - IOT
            - IRL
            - IRN
            - IRQ
            - ISL
            - ISR
            - ITA
            - JAM
            - JEY
            - JOR
            - JPN
            - KAZ
            - KEN
            - KGZ
            - KHM
            - KIR
            - KNA
            - KOR
            - KWT
            - LAO
            - LBN
            - LBR
            - LBY
            - LCA
            - LIE
            - LKA
            - LSO
            - LTU
            - LUX
            - LVA
            - MAC
            - MAF
            - MAR
            - MCO
            - MDA
            - MDG
            - MDV
            - MEX
            - MHL
            - MKD
            - MLI
            - MLT
            - MMR
            - MNE
            - MNG
            - MNP
            - MOZ
            - MRT
            - MSR
            - MTQ
            - MUS
            - MWI
            - MYS
            - MYT
            - NAM
            - NCL
            - NER
            - NFK
            - NGA
            - NIC
            - NIU
            - NLD
            - NOR
            - NPL
            - NRU
            - NZL
            - OMN
            - PAK
            - PAN
            - PCN
            - PER
            - PHL
            - PLW
            - PNG
            - POL
            - PRI
            - PRK
            - PRT
            - PRY
            - PSE
            - PYF
            - QAT
            - REU
            - ROU
            - RUS
            - RWA
            - SAU
            - SDN
            - SEN
            - SGP
            - SGS
            - SHN
            - SJM
            - SLB
            - SLE
            - SLV
            - SMR
            - SOM
            - SPM
            - SRB
            - SSD
            - STP
            - SUR
            - SVK
            - SVN
            - SWE
            - SWZ
            - SXM
            - SYC
            - SYR
            - TCA
            - TCD
            - TGO
            - THA
            - TJK
            - TKL
            - TKM
            - TLS
            - TON
            - TTO
            - TUN
            - TUR
            - TUV
            - TWN
            - TZA
            - UGA
            - UKR
            - UMI
            - URY
            - USA
            - UZB
            - VAT
            - VCT
            - VEN
            - VGB
            - VIR
            - VNM
            - VUT
            - WLF
            - WSM
            - YEM
            - ZAF
            - ZMB
            - ZWE
            - null
        preferredInvoiceCurrency:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        lifecycleStatus:
          type:
            - string
            - 'null'
          enum:
            - INVITED
            - ONBOARDING
            - ACTIVE
            - OFFBOARDING
            - TERMINATED
            - ARCHIVED
            - null
        workEmail:
          type:
            - string
            - 'null'
        department:
          type:
            - string
            - 'null'
        legalEntity:
          type:
            - string
            - 'null'
        payrollEntity:
          type:
            - string
            - 'null'
        contractEntityID:
          type:
            - string
            - 'null'
        onboarded:
          type: boolean
        isTerminated:
          type: boolean
        privilegedAdmin:
          type: boolean
        isPrimaryAdmin:
          type: boolean
        isOrgMarketMaker:
          type: boolean
        role:
          type: string
          enum:
            - TOKU_ADMIN
            - CLIENT_ORG_ADMIN
            - CLIENT_ORG_APPROVER
            - FINANCE_ADMIN
            - USER
            - INVESTOR
            - SUB_INVESTOR
            - SUB_RECIPIENT
        employmentType:
          type:
            - string
            - 'null'
          enum:
            - CONTRACTOR
            - EMPLOYEE
            - EX_EMPLOYEE
            - ADVISOR
            - SERVICE_PROVIDER
            - OTHER
            - null
        revokedAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        payrollEmployeeID:
          type:
            - string
            - 'null'
        hasWelcomeEmailSent:
          type: boolean
        subEmploymentType:
          type:
            - string
            - 'null'
        remarks:
          type:
            - string
            - 'null'
        isITAdmin:
          type: boolean
        isExternalEmployee:
          type: boolean
        employeeSyncedSource:
          type:
            - string
            - 'null'
          enum:
            - CSV_UPLOAD
            - WORKDAY
            - ADP
            - UKG
            - TOKUEOR
            - TRINET
            - GUSTO
            - DEEL
            - BAMBOOHR
            - IMPORTED
            - OTHER
            - null
        investorFullName:
          type:
            - string
            - 'null'
        baseSalary:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        baseSalaryCurrency:
          type:
            - string
            - 'null'
          enum:
            - TRY
            - ILS
            - CRC
            - TTD
            - SGD
            - JPY
            - AUD
            - NOK
            - INR
            - GBP
            - CHF
            - RUB
            - CAD
            - BRL
            - NGN
            - KRW
            - AED
            - LBP
            - EUR
            - NZD
            - ZAR
            - USD
            - USDC
            - USDT
            - USDP
            - PHP
            - PLN
            - RSD
            - HKD
            - TWD
            - AFN
            - AMD
            - ANG
            - AOA
            - ARS
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - BMD
            - BND
            - BOB
            - BSD
            - BTN
            - BWP
            - BYN
            - BZD
            - CDF
            - CLF
            - CLP
            - CNY
            - COP
            - CUC
            - CUP
            - CVE
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - ERN
            - ETB
            - FJD
            - FKP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KWD
            - KYD
            - KZT
            - LAK
            - LKR
            - LRD
            - LSL
            - LYD
            - MAD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRU
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - NPR
            - NIO
            - OMR
            - PAB
            - PEN
            - PGK
            - PKR
            - PYG
            - QAR
            - RON
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STN
            - SVC
            - SYP
            - SZL
            - TJS
            - TMT
            - TND
            - TOP
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VES
            - VND
            - VUV
            - WST
            - XAF
            - XCD
            - XOF
            - XPF
            - YER
            - ZMW
            - SEK
            - THB
            - null
        baseSalaryPaymentType:
          type: string
          enum:
            - FIAT
            - TOKEN
        baseSalaryTokenTypeID:
          type:
            - string
            - 'null'
        baseSalaryTokenSymbol:
          type:
            - string
            - 'null'
        baseSalaryTokenNetwork:
          type:
            - string
            - 'null'
        baseSalaryPeriod:
          type:
            - string
            - 'null'
          enum:
            - HOURLY
            - MONTHLY
            - YEARLY
            - null
        stablecoinPayPercentage:
          type:
            - number
            - 'null'
        maxStablecoinPercentage:
          type:
            - number
            - 'null'
        taxMethod:
          type:
            - string
            - 'null'
          enum:
            - NO_TAX
            - MANUAL_TAX
            - TAX_ENGINE
            - BULK_UPLOAD
            - null
        withholdingPercentage:
          type:
            - string
            - 'null'
          format: decimal
          pattern: ^-?[0-9]+(\.[0-9]+)?$
        lastLogin:
          type:
            - string
            - 'null'
          format: date-time
        lastTestTxReminderBy:
          type:
            - string
            - 'null'
        lastTestTxReminderAt:
          type:
            - string
            - 'null'
          format: date-time
        payrollFileNumber:
          type:
            - string
            - 'null'
        externalPayrollId:
          type:
            - string
            - 'null'
        lastOnboardingReminderBy:
          type:
            - string
            - 'null'
        lastOnboardingReminderAt:
          type:
            - string
            - 'null'
          format: date-time
        address:
          type:
            - string
            - 'null'
        payrollGroup:
          type:
            - string
            - 'null'
        lastInactiveWalletReminderBy:
          type:
            - string
            - 'null'
        lastInactiveWalletReminderAt:
          type:
            - string
            - 'null'
          format: date-time
        recipientType:
          type:
            - string
            - 'null'
          enum:
            - PERSON
            - ENTITY
            - null
        receiveNotificationEmails:
          type: boolean
        receiveInAppNotifications:
          type: boolean
        notificationEmailFrequency:
          type: string
          enum:
            - 'OFF'
            - IMMEDIATE
            - DAILY
        receiveSlackNotifications:
          type: boolean
        selfServeContractorOnboardingStatus:
          type: string
          enum:
            - NOT_STARTED
            - IN_PROGRESS
            - COMPLETED
        selfServeContractorOnboardingCompletedAt:
          type:
            - string
            - 'null'
          format: date-time
        selfServeWelcomeEmailSentAt:
          type:
            - string
            - 'null'
          format: date-time
        numberOfPayPeriodsPerYear:
          type: integer
        managerRoleInOrgID:
          type:
            - string
            - 'null'
        managerPath:
          type: array
          items:
            type: string
        person:
          $ref: '#/components/schemas/PayrollTokenSecondPersonWithLogins'
        invoiceApproverRoutingUpdatedAt:
          type:
            - string
            - 'null'
          format: date-time
        isServiceSeat:
          type: boolean
      required:
        - hrAutomationOnly
        - legacyMigratedAt
        - legacyModelID
        - roleInOrgID
        - personID
        - orgID
        - invitedByInvestorID
        - invitedByRecipientID
        - roleInOrgExternalID
        - externalEmployeeID
        - positionID
        - jobTitle
        - country
        - countryCode
        - preferredInvoiceCurrency
        - status
        - lifecycleStatus
        - workEmail
        - department
        - legalEntity
        - payrollEntity
        - contractEntityID
        - onboarded
        - isTerminated
        - privilegedAdmin
        - isPrimaryAdmin
        - isOrgMarketMaker
        - role
        - employmentType
        - revokedAt
        - createdAt
        - updatedAt
        - payrollEmployeeID
        - hasWelcomeEmailSent
        - subEmploymentType
        - remarks
        - isITAdmin
        - isExternalEmployee
        - employeeSyncedSource
        - investorFullName
        - baseSalary
        - baseSalaryCurrency
        - baseSalaryPaymentType
        - baseSalaryTokenTypeID
        - baseSalaryTokenSymbol
        - baseSalaryTokenNetwork
        - baseSalaryPeriod
        - stablecoinPayPercentage
        - maxStablecoinPercentage
        - taxMethod
        - withholdingPercentage
        - lastLogin
        - lastTestTxReminderBy
        - lastTestTxReminderAt
        - payrollFileNumber
        - externalPayrollId
        - lastOnboardingReminderBy
        - lastOnboardingReminderAt
        - address
        - payrollGroup
        - lastInactiveWalletReminderBy
        - lastInactiveWalletReminderAt
        - recipientType
        - receiveNotificationEmails
        - receiveInAppNotifications
        - notificationEmailFrequency
        - receiveSlackNotifications
        - selfServeContractorOnboardingStatus
        - selfServeContractorOnboardingCompletedAt
        - selfServeWelcomeEmailSentAt
        - numberOfPayPeriodsPerYear
        - managerRoleInOrgID
        - managerPath
        - person
        - invoiceApproverRoutingUpdatedAt
        - isServiceSeat
    PayrollTokenSecondPersonWithLogins:
      type: object
      properties:
        personID:
          type: string
        givenName:
          type: string
        familyName:
          type: string
        middleName:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        legacyMigratedAt:
          type:
            - string
            - 'null'
          format: date-time
        legacyModelID:
          type:
            - integer
            - 'null'
        mergedIntoPersonID:
          type:
            - string
            - 'null'
        mergedAt:
          type:
            - string
            - 'null'
          format: date-time
        fullName:
          type: string
        users:
          type: array
          items:
            $ref: '#/components/schemas/PayrollTokenSecondLogin'
      required:
        - personID
        - givenName
        - familyName
        - middleName
        - createdAt
        - updatedAt
        - legacyMigratedAt
        - legacyModelID
        - mergedIntoPersonID
        - mergedAt
        - fullName
        - users
    PayrollTokenSecondLogin:
      type: object
      properties:
        userID:
          type: string
          format: uuid
        loginEmail:
          type: string
        isPrimaryLogin:
          type: boolean
        createdAt:
          type: string
          format: date-time
      required:
        - userID
        - loginEmail
        - isPrimaryLogin
        - createdAt
    PayrollTokenFirstWritePayroll:
      type: object
      properties:
        tokenPayrollID:
          type: string
          format: uuid
        paymentBackend:
          type:
            - string
            - 'null'
          enum:
            - LEGACY
            - UNIFIED
            - null
        paymentOwnershipVersion:
          type: integer
        orgID:
          type: string
          format: uuid
        name:
          type:
            - string
            - 'null'
        payPeriodStart:
          type: string
          format: date-time
        payPeriodEnd:
          type: string
          format: date-time
        payDate:
          type: string
          format: date-time
        externalPayrollID:
          type:
            - string
            - 'null'
        fiatCurrency:
          $ref: '#/components/schemas/PayrollTokenFirstWriteFiatCurrency'
        payrollEntityId:
          type:
            - string
            - 'null'
          format: uuid
        state:
          $ref: '#/components/schemas/PayrollTokenFirstWritePayrollState'
        type:
          $ref: '#/components/schemas/PayrollTokenFirstWritePayrollType'
        payrollGroup:
          type:
            - string
            - 'null'
        integrationEntityName:
          type:
            - string
            - 'null'
        payrollIntegrationEntityId:
          type:
            - string
            - 'null'
          format: uuid
        isFiatPayrollComplete:
          type: boolean
        isTokenPayrollComplete:
          type: boolean
        fundingEmailSent:
          type: boolean
        adpDeductionsVerified:
          type: boolean
        importedData: {}
        payrollSyncedSource:
          oneOf:
            - $ref: '#/components/schemas/PayrollTokenFirstWriteSyncedSource'
            - type: 'null'
        isPlaceholder:
          type: boolean
        selectedTokenTypeID:
          type:
            - string
            - 'null'
          format: uuid
        isStablecoinOnlySettlement:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - tokenPayrollID
        - paymentBackend
        - paymentOwnershipVersion
        - orgID
        - name
        - payPeriodStart
        - payPeriodEnd
        - payDate
        - externalPayrollID
        - fiatCurrency
        - payrollEntityId
        - state
        - type
        - payrollGroup
        - integrationEntityName
        - payrollIntegrationEntityId
        - isFiatPayrollComplete
        - isTokenPayrollComplete
        - fundingEmailSent
        - adpDeductionsVerified
        - importedData
        - payrollSyncedSource
        - isPlaceholder
        - selectedTokenTypeID
        - isStablecoinOnlySettlement
        - createdAt
        - updatedAt
    PayrollTokenFirstWriteFiatCurrency:
      type: string
      enum:
        - TRY
        - ILS
        - CRC
        - TTD
        - SGD
        - JPY
        - AUD
        - NOK
        - INR
        - GBP
        - CHF
        - RUB
        - CAD
        - BRL
        - NGN
        - KRW
        - AED
        - LBP
        - EUR
        - NZD
        - ZAR
        - USD
        - USDC
        - USDT
        - USDP
        - PHP
        - PLN
        - RSD
        - HKD
        - TWD
        - AFN
        - AMD
        - ANG
        - AOA
        - ARS
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CDF
        - CLF
        - CLP
        - CNY
        - COP
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - FJD
        - FKP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KWD
        - KYD
        - KZT
        - LAK
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NPR
        - NIO
        - OMR
        - PAB
        - PEN
        - PGK
        - PKR
        - PYG
        - QAR
        - RON
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SHP
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - TJS
        - TMT
        - TND
        - TOP
        - TZS
        - UAH
        - UGX
        - UYU
        - UZS
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZMW
        - SEK
        - THB
    PayrollTokenFirstWritePayrollState:
      type: string
      enum:
        - DRAFT
        - PENDING
        - OVERDUE
        - LOCKED
        - IN_PROGRESS
        - APPROVED
        - COMPLETED
        - CANCELLED
    PayrollTokenFirstWritePayrollType:
      type: string
      enum:
        - ON_CYCLE
        - OFF_CYCLE
        - INVOICE_PAYMENT
    PayrollTokenFirstWriteSyncedSource:
      type: string
      enum:
        - CSV_UPLOAD
        - WORKDAY
        - ADP
        - UKG
        - TOKUEOR
        - TRINET
        - GUSTO
        - IMPORTED
        - OTHER
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
